# OpenLayers.Format.XML.VersionedOGC

Base class for versioned formats, i.e. a format which supports multiple versions.

#### Inherits from

- OpenLayers.Format.XML

Summary

OpenLayers.Format.XML.VersionedOGC | Base class for versioned formats, i.e.
Properties |
defaultVersion | {String} Version number to assume if none found.
version | {String} Specify a version string if one is known.
profile | {String} If provided, use a custom profile.
errorProperty | {String} Which property of the returned object to check for in order to determine whether or not parsing has failed.
stringifyOutput | {Boolean} If true, write will return a string otherwise a DOMElement.
Constructor |
OpenLayers.Format.XML.VersionedOGC. | Constructor.
Functions |
write | Write a document.
read | Read a doc and return an object representing the document.

### Properties

### defaultVersion

{String} Version number to assume if none found.

### version

{String} Specify a version string if one is known.

### profile

{String} If provided, use a custom profile.

### errorProperty

{String} Which property of the returned object to check for in order to determine whether or not parsing has failed. In the case that the errorProperty is undefined on the returned object, the document will be run through an OGCExceptionReport parser.

### stringifyOutput

{Boolean} If true, write will return a string otherwise a DOMElement. Default is false.

### Constructor

### OpenLayers.Format.XML.VersionedOGC.

Constructor.

#### Parameters

options | {Object} Optional object whose properties will be set on the object.

### Functions

### write

> write: function( | obj,
> | options | )

Write a document.

#### Parameters

obj | {Object} An object representing the document.
options | {Object} Optional configuration object.

#### Returns

{String} The document as a string

### read

> read: function( | data,
> | options | )

Read a doc and return an object representing the document.

#### Parameters

data | {String | DOMElement} Data to read.
options | {Object} Options for the reader.

#### Returns

{Object} An object representing the document.

> write: function( | obj,
> | options | )

Write a document.

> read: function( | data,
> | options | )

Read a doc and return an object representing the document.
Read and write XML.
Close